#ifndef _CONFIG_H
#define _CONFIG_H

#include "Chassis.h"
#include "can_use.h"
#include "ahrs.h"
#include "navi.h"
#include "map.h"


typedef struct{
Chassis_Param_t chassis; /**/
ops_param_t ops;
CAN_Params_t can;
AHRS_Eulr_t mech_zero[4];
	
}ConfigParam_t;


typedef struct{
const ConfigParam_t *chassis_config;

BMI088_Cali_t cali_088;
	
}Config_t;

void Config_Get(Config_t *cfg);

void Config_Set(Config_t *cfg);

extern const ConfigParam_t *Config_ChassisGet(void);


#endif

